Package com.sas.lsaf.workflow

## Class FlowElementMapping

- java.lang.Object
- - com.sas.lsaf.workflow.FlowElementMapping

- All Implemented Interfaces:
    `java.io.Serializable`

      public class FlowElementMapping
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the attribute mapping for a process flow definition element.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowElementMapping()` | Constructor.
    `FlowElementMapping​(java.lang.String elementId, Element.ElementType elementType)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<AttributeMapping>` | `getAttributeMapping()` | Gets the attribute mapping for the process flow definition element.
    `java.lang.String` | `getElementId()` | Gets the elementId of the process flow definition element.
    `Element.ElementType` | `getElementType()` | Gets the type of the process flow definition element.
    `int` | `hashCode()` |
    `void` | `setAttributeMapping​(java.util.List<AttributeMapping> attributeMapping)` | Sets the attribute mapping for the process flow definition element.
    `void` | `setElementId​(java.lang.String elementId)` | Sets the elementId of the process flow definition element.
    `void` | `setElementType​(Element.ElementType elementType)` | Sets the type of the process flow definition element.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowElementMapping

          public FlowElementMapping()

      Constructor.

    - #### FlowElementMapping

          public FlowElementMapping​(java.lang.String elementId,
                                    Element.ElementType elementType)

      Constructor.
      Parameters:
        `elementId` - The elementId of the process flow definition element.
        `elementType` - The type of the process flow definition element.

  - ### Method Detail

    - #### getElementId

          public java.lang.String getElementId()

      Gets the elementId of the process flow definition element.
      Returns:
        The elementId of the process flow definition element.

    - #### setElementId

          public void setElementId​(java.lang.String elementId)

      Sets the elementId of the process flow definition element.
      Parameters:
        `elementId` - The elementId of the process flow definition element.

    - #### getElementType

          public Element.ElementType getElementType()

      Gets the type of the process flow definition element.
      Returns:
        The type of the process flow definition element.

    - #### setElementType

          public void setElementType​(Element.ElementType elementType)

      Sets the type of the process flow definition element.
      Parameters:
        `elementType` - The type of the process flow definition element.

    - #### getAttributeMapping

          public java.util.List<AttributeMapping> getAttributeMapping()

      Gets the attribute mapping for the process flow definition element.
      Returns:
        The attribute mapping for the process flow definition element.

    - #### setAttributeMapping

          public void setAttributeMapping​(java.util.List<AttributeMapping> attributeMapping)

      Sets the attribute mapping for the process flow definition element.
      Parameters:
        `attributeMapping` - The attribute mapping for the process flow definition element.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`